Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.grape
[Groovy] Class GrapeIvy

    java.lang.Object
      groovy.grape.GrapeIvy

All Implemented Interfaces:
  GrapeEngine

    class GrapeIvy
    extends Object

Authors:
  Danno Ferrin
  Paul King
  Roshan Dawrani (roshandawrani)

Property Summary
`static int` | `DEFAULT_DEPTH`
`Set` | `downloadedArtifacts`
`boolean` | `enableGrapes`
`Set` | `grabRecordsForCurrDependencies`
`org.apache.ivy.Ivy` | `ivyInstance`
`Map` | `loadedDeps`
`Set` | `resolvedDependencies`
`org.apache.ivy.core.settings.IvySettings` | `settings`

Constructor Summary
`GrapeIvy()`

Method Summary
`void` | `addResolver(Map args)`
`def` | `chooseClassLoader(Map args)`
`IvyGrabRecord` | `createGrabRecord(Map deps)`
`Map` | `enumerateGrapes()`
`org.apache.ivy.core.report.ResolveReport` | `getDependencies(Map args, IvyGrabRecord grabRecords)`
`File` | `getGrapeCacheDir()`
`File` | `getGrapeDir()`
`File` | `getGroovyRoot()`
`File` | `getLocalGrapeConfig()`
`def` | `grab(String endorsedModule)`
`def` | `grab(Map args)`
`def` | `grab(Map args, Map dependencies)`
`Map[]` | `listDependencies(ClassLoader classLoader)`
`URI[]` | `resolve(Map args, Map dependencies)`
`URI[]` | `resolve(Map args, List depsInfo, Map dependencies)`
`URI[]` | `resolve(ClassLoader loader, Map args, Map dependencies)`
`URI[]` | `resolve(ClassLoader loader, Map args, List depsInfo, Map dependencies)`
`void` | `uninstallArtifact(String group, String module, String rev)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### DEFAULT_DEPTH

    static final int DEFAULT_DEPTH

### downloadedArtifacts

    Set downloadedArtifacts

### enableGrapes

    boolean enableGrapes

### grabRecordsForCurrDependencies

    Set grabRecordsForCurrDependencies

### ivyInstance

    org.apache.ivy.Ivy ivyInstance

### loadedDeps

    Map loadedDeps

### resolvedDependencies

    Set resolvedDependencies

### settings

    org.apache.ivy.core.settings.IvySettings settings

Constructor Detail

### GrapeIvy

    GrapeIvy()

Method Detail

### addResolver

    void addResolver(Map args)

### chooseClassLoader

    def chooseClassLoader(Map args)

### createGrabRecord

    IvyGrabRecord createGrabRecord(Map deps)

### enumerateGrapes

    Map enumerateGrapes()

### getDependencies

    org.apache.ivy.core.report.ResolveReport getDependencies(Map args, IvyGrabRecord grabRecords)

### getGrapeCacheDir

    File getGrapeCacheDir()

### getGrapeDir

    File getGrapeDir()

### getGroovyRoot

    File getGroovyRoot()

### getLocalGrapeConfig

    File getLocalGrapeConfig()

### grab

    def grab(String endorsedModule)

### grab

    def grab(Map args)

### grab

    def grab(Map args, Map dependencies)

### listDependencies

    Map[] listDependencies(ClassLoader classLoader)

### resolve

    URI[] resolve(Map args, Map dependencies)

### resolve

    URI[] resolve(Map args, List depsInfo, Map dependencies)

### resolve

    URI[] resolve(ClassLoader loader, Map args, Map dependencies)

### resolve

    URI[] resolve(ClassLoader loader, Map args, List depsInfo, Map dependencies)

### uninstallArtifact

    void uninstallArtifact(String group, String module, String rev)

Copyright © 2003-2010 The Codehaus. All rights reserved.